#  CMake Setup. Used for Wii Builds.
# Uses GX and VI for Graphics (duh).

set(devkit_base c:/devkitPro)
set(ogc_root ${devkit_base}/libogc)

include_directories(
    "${ogc_root}/include"
	"${devkit_base}/boost/include/boost-1_69"
)

set(BOOST_INCLUDEDIR ${devkit_base}/boost/include/boost-1_69)

link_libraries(cannonball 
 # Wii system library
	fat
	asnd
	ogc
	wiiuse
	bte
)

# Linking
link_directories(
    "${ogc_root}/lib/wii"
)




# Location for Cannonball to create save files
# Used to auto-generate setup.hpp with various file paths
set(xml_directory ./)

set(WII 1)